### Class

# Meta Background

#### Description [src]

    final class Meta.Background : GObject.Object
    {
      /* No available fields */
    }

This class handles tracking and painting the root window background.

By integrating with `MetaWindowGroup` we can avoid painting parts of the background that are obscured by other windows.

#### Ancestors

- GObject

#### Constructors

###### meta_background_new

No description available.

#### Functions

###### meta_background_refresh_all

No description available.

#### Instance methods

###### meta_background_set_blend

No description available.

###### meta_background_set_color

No description available.

###### meta_background_set_file

Set the background to `file`.

###### meta_background_set_gradient

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Meta.Background:meta-display

No description available.

#### Signals

###### Meta.Background::changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaBackgroundClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.